## org.jfree.report.util
Class ReportParameters

    java.lang.Object
      org.jfree.report.util.ReportParameters

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class ReportParameters

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The report parameters collection is a map with string keys. The parameters can be used in a query and will appear as part of the datarow.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ReportParameters()` Default constructor.
`ReportParameters(ReportParameters props)` Copy constructor.

Method Summary
`void` `clear()` Removes all properties stored in this collection.
`java.lang.Object` `clone()` Clones the properties.
`boolean` `containsKey(java.lang.String key)` Checks whether the given key is stored in this collection of ReportProperties.
`java.lang.Object` `get(java.lang.String key)` Retrieves the value stored for a key in this properties collection.
`java.lang.Object` `get(java.lang.String key, java.lang.Object defaultValue)` Retrieves the value stored for a key in this properties collection, and returning the default value if the key was not stored in this properties collection.
`java.lang.String[]` `keys()` Returns all property keys as array.
`void` `put(java.lang.String key, java.lang.Object value)` Adds a property to this properties collection.
`int` `size()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportParameters

    public ReportParameters(ReportParameters props)

  Copy constructor.

  Parameters:
    `props` - an existing ReportProperties instance.

### ReportParameters

    public ReportParameters()

  Default constructor.

Method Detail

### put

    public void put(java.lang.String key,
                    java.lang.Object value)

  Adds a property to this properties collection. If a property with the given name exist, the property will be replaced with the new value. If the value is null, the property will be removed.

  Parameters:
    `key` - the property key.
    `value` - the property value.

### get

    public java.lang.Object get(java.lang.String key)

  Retrieves the value stored for a key in this properties collection.

  Parameters:
    `key` - the property key.
  Returns:
    The stored value, or `null` if the key does not exist in this collection.

### get

    public java.lang.Object get(java.lang.String key,
                                java.lang.Object defaultValue)

  Retrieves the value stored for a key in this properties collection, and returning the default value if the key was not stored in this properties collection.

  Parameters:
    `key` - the property key.
    `defaultValue` - the default value to be returned when the key is not stored in this properties collection.
  Returns:
    The stored value, or the default value if the key does not exist in this collection.

### keys

    public java.lang.String[] keys()

  Returns all property keys as array.

  Returns:
    an enumeration of the property keys.

### clear

    public void clear()

  Removes all properties stored in this collection.

### containsKey

    public boolean containsKey(java.lang.String key)

  Checks whether the given key is stored in this collection of ReportProperties.

  Parameters:
    `key` - the property key.
  Returns:
    true, if the given key is known.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones the properties.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a copy of this ReportProperties object.
  Throws:
    `java.lang.CloneNotSupportedException` - this should never happen.

### size

    public int size()